/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "PipeWire", "index.html", [
    [ "Overview", "page_overview.html", null ],
    [ "PipeWire Design", "page_pipewire.html", [
      [ "Design", "page_design.html", null ],
      [ "Audio", "page_audio.html", null ],
      [ "Access Control", "page_access.html", null ],
      [ "Portal Access Control", "page_portal.html", null ],
      [ "MIDI Support", "page_midi.html", null ],
      [ "Objects Design", "page_objects_design.html", null ],
      [ "PipeWire Library", "page_library.html", null ],
      [ "DMA-BUF Sharing", "page_dma_buf.html", null ],
      [ "Graph Scheduling", "page_scheduling.html", null ],
      [ "Native Protocol", "page_native_protocol.html", null ],
      [ "PipeWire Daemon", "page_daemon.html", null ],
      [ "PipeWire Session Manager", "page_session_manager.html", null ],
      [ "PulseAudio Compatibility", "page_pulseaudio.html", null ]
    ] ],
    [ "PipeWire Tools", "page_tools.html", [
      [ "pipewire", "page_man_pipewire_1.html", null ],
      [ "pipewire-pulse", "page_man_pipewire_pulse_1.html", null ],
      [ "pipewire.conf", "page_man_pipewire_conf_5.html", null ],
      [ "pw-cat", "page_man_pw_cat_1.html", null ],
      [ "pw-cli", "page_man_pw_cli_1.html", null ],
      [ "pw-config", "page_man_pw_config_1.html", null ],
      [ "pw-dot", "page_man_pw_dot_1.html", null ],
      [ "pw-link", "page_man_pw_link_1.html", null ],
      [ "pw-metadata", "page_man_pw_metadata_1.html", null ],
      [ "pw-mididump", "page_man_pw_mididump_1.html", null ],
      [ "pw-mon", "page_man_pw_mon_1.html", null ],
      [ "pw-profiler", "page_man_pw_profiler_1.html", null ],
      [ "pw-top", "page_man_pw_top_1.html", null ],
      [ "pw-jack", "page_man_pw_jack_1.html", null ]
    ] ],
    [ "PipeWire Modules", "page_pipewire_modules.html", [
      [ "PipeWire Module: Access", "page_module_access.html", null ],
      [ "PipeWire Module: Adapter", "page_module_adapter.html", null ],
      [ "PipeWire Module: AVB", "page_module_avb.html", null ],
      [ "PipeWire Module: Client Device", "page_module_client_device.html", null ],
      [ "PipeWire Module: Client Node", "page_module_client_node.html", null ],
      [ "PipeWire Module: Combine Stream", "page_module_combine_stream.html", null ],
      [ "PipeWire Module: Echo Cancel", "page_module_echo_cancel.html", null ],
      [ "PipeWire Module: Example Filter", "page_module_example_filter.html", null ],
      [ "PipeWire Module: Example Sink", "page_module_example_sink.html", null ],
      [ "PipeWire Module: Example Source", "page_module_example_source.html", null ],
      [ "PipeWire Module: Fallback Sink", "page_module_fallback_sink.html", null ],
      [ "PipeWire Module: FFADO firewire audio driver", "page_module_ffado_driver.html", null ],
      [ "PipeWire Module: Filter-Chain", "page_module_filter_chain.html", null ],
      [ "PipeWire Module: JACK DBus detect", "page_module_jackdbus_detect.html", null ],
      [ "PipeWire Module: JACK Tunnel", "page_module_jack_tunnel.html", null ],
      [ "PipeWire Module: Link Factory", "page_module_link_factory.html", null ],
      [ "PipeWire Module: Loopback", "page_module_loopback.html", null ],
      [ "PipeWire Module: Metadata", "page_module_metadata.html", null ],
      [ "PipeWire Module: Netjack2 driver", "page_module_netjack2_driver.html", null ],
      [ "PipeWire Module: Netjack2 manager", "page_module_netjack2_manager.html", null ],
      [ "PipeWire Module: Unix Pipe Tunnel", "page_module_pipe_tunnel.html", null ],
      [ "PipeWire Module: Portal", "page_module_portal.html", null ],
      [ "PipeWire Module: Profiler", "page_module_profiler.html", null ],
      [ "PipeWire Module: Protocol Native", "page_module_protocol_native.html", null ],
      [ "PipeWire Module: Protocol Pulse", "page_module_protocol_pulse.html", null ],
      [ "PipeWire Module: Protocol Simple", "page_module_protocol_simple.html", null ],
      [ "PipeWire Module: Pulse Tunnel", "page_module_pulse_tunnel.html", null ],
      [ "PipeWire Module: AirPlay Sink", "page_module_raop_sink.html", null ],
      [ "PipeWire Module: RAOP Discover", "page_module_raop_discover.html", null ],
      [ "PipeWire Module: ROC sink", "page_module_roc_sink.html", null ],
      [ "PipeWire Module: ROC source", "page_module_roc_source.html", null ],
      [ "PipeWire Module: SAP Announce and create RTP streams", "page_module_rtp_sap.html", null ],
      [ "PipeWire Module: RTP sink", "page_module_rtp_sink.html", null ],
      [ "PipeWire Module: RTP source", "page_module_rtp_source.html", null ],
      [ "PipeWire Module: RTP session", "page_module_rtp_session.html", null ],
      [ "PipeWire Module: RT", "page_module_rt.html", null ],
      [ "PipeWire Module: Session Manager", "page_module_session_manager.html", null ],
      [ "PipeWire Module: VBAN receiver", "page_module_vban_recv.html", null ],
      [ "PipeWire Module: VBAN sender", "page_module_vban_send.html", null ],
      [ "PipeWire Module: X11 Bell", "page_module_x11_bell.html", null ],
      [ "PipeWire Module: Zeroconf Discover", "page_module_zeroconf_discover.html", null ]
    ] ],
    [ "PipeWire API", "page_api.html", [
      [ "Client Implementation", "page_client_impl.html", [
        [ "Overview", "page_client_impl.html#sec_page_client_impl_overview", null ],
        [ "Credentials", "page_client_impl.html#sec_page_client_impl_credentials", null ],
        [ "Types", "page_client_impl.html#sec_page_client_impl_types", null ],
        [ "Resources", "page_client_impl.html#sec_page_client_impl_resources", null ]
      ] ],
      [ "Proxy", "page_proxy.html", [
        [ "Overview", "page_proxy.html#sec_page_proxy_overview", null ],
        [ "Core proxy", "page_proxy.html#sec_page_proxy_core", null ],
        [ "Create", "page_proxy.html#sec_page_proxy_create", null ],
        [ "Bind", "page_proxy.html#sec_page_proxy_bind", null ],
        [ "Methods", "page_proxy.html#sec_page_proxy_methods", null ],
        [ "Events", "page_proxy.html#sec_page_proxy_events", null ],
        [ "Destroy", "page_proxy.html#sec_page_proxy_destroy", null ]
      ] ],
      [ "Streams", "page_streams.html", [
        [ "Overview", "page_streams.html#sec_overview", null ],
        [ "Create", "page_streams.html#sec_create", null ],
        [ "Connect", "page_streams.html#sec_connect", [
          [ "Stream target", "page_streams.html#ssec_stream_target", null ],
          [ "Stream formats", "page_streams.html#ssec_stream_formats", null ]
        ] ],
        [ "Format negotiation", "page_streams.html#sec_format", null ],
        [ "Buffer negotiation", "page_streams.html#sec_buffers", null ],
        [ "Streaming", "page_streams.html#sec_streaming", [
          [ "Consume data", "page_streams.html#ssec_consume", null ],
          [ "Produce data", "page_streams.html#ssec_produce", null ]
        ] ],
        [ "Disconnect", "page_streams.html#sec_stream_disconnect", null ],
        [ "Configuration", "page_streams.html#sec_stream_configuration", [
          [ "Stream Properties", "page_streams.html#ssec_config_properties", null ],
          [ "Stream Rules", "page_streams.html#ssec_config_rules", null ]
        ] ],
        [ "Environment Variables", "page_streams.html#sec_stream_environment", null ]
      ] ],
      [ "Thread Loop", "page_thread_loop.html", [
        [ "Overview", "page_thread_loop.html#sec_thread_loop_overview", null ],
        [ "Creation", "page_thread_loop.html#sec_thread_loop_create", null ],
        [ "Destruction", "page_thread_loop.html#sec_thread_loop_destruction", null ],
        [ "Locking", "page_thread_loop.html#sec_thread_loop_locking", null ],
        [ "Events and Callbacks", "page_thread_loop.html#sec_thread_loop_events", null ]
      ] ]
    ] ],
    [ "SPA (Simple Plugin API)", "page_spa.html", [
      [ "SPA Design", "page_spa_design.html", null ],
      [ "SPA Plugins", "page_spa_plugins.html", null ],
      [ "SPA POD", "page_spa_pod.html", null ],
      [ "SPA Buffers", "page_spa_buffer.html", null ]
    ] ],
    [ "Tutorial", "page_tutorial.html", [
      [ "Tutorial - Part 1: Getting Started", "page_tutorial1.html", null ],
      [ "Tutorial - Part 2: Enumerating Objects", "page_tutorial2.html", null ],
      [ "Tutorial - Part 3: Forcing A Roundtrip", "page_tutorial3.html", null ],
      [ "Tutorial - Part 4: Playing A Tone", "page_tutorial4.html", null ],
      [ "Tutorial - Part 5: Capturing Video Frames", "page_tutorial5.html", null ],
      [ "Tutorial - Part 6: Binding Objects", "page_tutorial6.html", null ],
      [ "List of example programs", "page_examples.html", null ]
    ] ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Structure Index", "classes.html", null ]
    ] ],
    [ "Examples", "examples.html", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';